import{s as Ae,n as Pe,o as Me}from"../chunks/scheduler.b108d059.js";import{S as Ie,i as Te,g as a,s as l,r as T,A as Ue,h as s,f as i,c as o,j as Se,u as U,x as r,k as He,y as _e,a as n,v as _,d as L,t as z,w as E}from"../chunks/index.008de539.js";import{H as k,E as Le}from"../chunks/EditOnGithub.d1c48e3d.js";function ze(me){let u,D,O,W,m,B,p,pe='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hugs/hugs-banner.png" alt="HUGS Banner"/>',q,f,fe="<p>Optimized, zero-configuration inference microservices for open AI models</p>",j,d,de="Hugging Face Generative AI Services (HUGS) are optimized, zero-configuration inference microservices designed to simplify and accelerate the development of AI applications with open models. Built on open-source Hugging Face technologies such as Text Generation Inference or Transformers. HUGS provides the best solution for efficiently building Generative AI Applications with open models and are optimized for a variety of hardware accelerators, including NVIDIA GPUs, AMD GPUs, AWS Inferentia, and Google TPUs (soon).",K,c,N,g,ce='<li><strong>Zero-configuration Deployment</strong>: Automatically loads optimal settings based on your hardware environment.</li> <li><strong>Optimized Hardware Inference Engines</strong>: Built on <a href="https://github.com/huggingface/text-generation-inference" rel="nofollow">Hugging Face’s Text Generation Inference (TGI)</a>, optimized for a variety of hardware.</li> <li><strong>Hardware Flexibility</strong>: Optimized for various accelerators, including NVIDIA GPUs, AMD GPUs, AWS Inferentia, and Google TPUs</li> <li><strong>Built for Open Models</strong>: Compatible with a wide range of popular open AI models, including LLMs, Multimodal Models, and Embedding Models.</li> <li><strong>Industry Standardized APIs</strong>: Easily deployable using Kubernetes and standardized on the OpenAI API.</li> <li><strong>Security and Control</strong>: Deploy HUGS within your own infrastructure for enhanced security and data control.</li> <li><strong>Enterprise Compliance</strong>: Minimizes compliance risks by including necessary licenses and terms of services.</li>',R,h,V,v,ge="Enterprises often struggle with their model-serving infrastructure in terms of performance, engineering complexity, and compliance when using open models. Early-stage startups and large enterprises have built POCs using models not because they want to use closed models with black box APIs but because building their AI with open models takes more work.",Q,w,he="HUGS are optimized, zero-configuration inference microservices designed to simplify and accelerate the development of AI models. With HUGS, we want to make switching from a closed-source API to a self-hosted open model easy.",Y,$,ve=`HUGS deliver endpoints compatible with the OpenAI API, so you don’t need to change your code when transitioning your POC to production with your model and infra. They automatically deliver maximum hardware efficiency.
HUGS make it easy to keep your applications at the cutting edge of Generative AI by offering updates when new battle-tested open models become available.`,J,y,Z,x,we="Compatible with a wide range of popular open AI models, including:",X,C,$e="<li>LLMs: Llama, Gemma, Mistral, Mixtral, Qwen, Deepseek (soon), T5 (soon), Yi (soon), Phi (soon), Command R (soon)</li> <li>(Soon) Multimodal Models: Idefics, Llava</li> <li>(Soon) Embedding Models: BGE, GTE, Mixbread, Arctic, Jina, Nomic</li>",ee,b,te,G,ye="To start using HUGS, you have several options. You can access HUGS as part of your Hugging Face Enterprise subscription, through Cloud Service Provider (CSP) marketplaces. Currently, you can find HUGS on Amazon Web Services (AWS) and Google Cloud Platform (GCP), and soon on Microsoft Azure. HUGS are also natively available inside DigitalOcean GPU Droplet.",ie,S,xe="For detailed instructions on deployment and usage:",ne,H,Ce='<li><a href="https://huggingface.co/enterprise" rel="nofollow">Hugging Face Enterprise</a></li> <li>Amazon Web Services (AWS)<ul><li><a href="./how-to/cloud/aws.mdx">AWS with NVIDIA GPUs</a></li> <li><a href="./how-to/cloud/aws-neuron.mdx">AWS with Inferentia &amp; Trainium</a></li></ul></li> <li><a href="./how-to/cloud/digital-ocean">DigitalOcean</a></li> <li><a href="./how-to/cloud/gcp">Google Cloud Platform (GCP)</a></li> <li><a href="./how-to/cloud/azure">Microsoft Azure</a> (coming soon)</li>',le,A,oe,P,be='<li><a href="https://discuss.huggingface.co/" rel="nofollow">Community Forum</a></li> <li><a href="https://huggingface.co/contact/sales?from=hugs" rel="nofollow">Enterprise Support</a></li>',ae,M,Ge="Experience the power of open models with the simplicity of HUGS. Start building your AI applications faster and more efficiently today!",se,I,re,F,ue;return m=new k({props:{title:"Hugging Face Generative AI Services (HUGS)",local:"hugging-face-generative-ai-services-hugs",headingTag:"h1"}}),c=new k({props:{title:"Key Features",local:"key-features",headingTag:"h2"}}),h=new k({props:{title:"Why HUGS?",local:"why-hugs",headingTag:"h2"}}),y=new k({props:{title:"Built for Open Models",local:"built-for-open-models",headingTag:"h3"}}),b=new k({props:{title:"Getting Started",local:"getting-started",headingTag:"h2"}}),A=new k({props:{title:"More Resources",local:"more-resources",headingTag:"h2"}}),I=new Le({props:{source:"https://github.com/huggingface/hugs-docs/blob/main/docs/source/index.mdx"}}),{c(){u=a("meta"),D=l(),O=a("p"),W=l(),T(m.$$.fragment),B=l(),p=a("p"),p.innerHTML=pe,q=l(),f=a("blockquote"),f.innerHTML=fe,j=l(),d=a("p"),d.textContent=de,K=l(),T(c.$$.fragment),N=l(),g=a("ul"),g.innerHTML=ce,R=l(),T(h.$$.fragment),V=l(),v=a("p"),v.textContent=ge,Q=l(),w=a("p"),w.textContent=he,Y=l(),$=a("p"),$.textContent=ve,J=l(),T(y.$$.fragment),Z=l(),x=a("p"),x.textContent=we,X=l(),C=a("ul"),C.innerHTML=$e,ee=l(),T(b.$$.fragment),te=l(),G=a("p"),G.textContent=ye,ie=l(),S=a("p"),S.textContent=xe,ne=l(),H=a("ul"),H.innerHTML=Ce,le=l(),T(A.$$.fragment),oe=l(),P=a("ul"),P.innerHTML=be,ae=l(),M=a("p"),M.textContent=Ge,se=l(),T(I.$$.fragment),re=l(),F=a("p"),this.h()},l(e){const t=Ue("svelte-u9bgzb",document.head);u=s(t,"META",{name:!0,content:!0}),t.forEach(i),D=o(e),O=s(e,"P",{}),Se(O).forEach(i),W=o(e),U(m.$$.fragment,e),B=o(e),p=s(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-1uzhp1c"&&(p.innerHTML=pe),q=o(e),f=s(e,"BLOCKQUOTE",{"data-svelte-h":!0}),r(f)!=="svelte-5ttw4z"&&(f.innerHTML=fe),j=o(e),d=s(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-1ddt8st"&&(d.textContent=de),K=o(e),U(c.$$.fragment,e),N=o(e),g=s(e,"UL",{"data-svelte-h":!0}),r(g)!=="svelte-1svq8vt"&&(g.innerHTML=ce),R=o(e),U(h.$$.fragment,e),V=o(e),v=s(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-160yj32"&&(v.textContent=ge),Q=o(e),w=s(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-13ab7wg"&&(w.textContent=he),Y=o(e),$=s(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-1f3j6je"&&($.textContent=ve),J=o(e),U(y.$$.fragment,e),Z=o(e),x=s(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-15f75na"&&(x.textContent=we),X=o(e),C=s(e,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-1qzz1dc"&&(C.innerHTML=$e),ee=o(e),U(b.$$.fragment,e),te=o(e),G=s(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1a9w6hv"&&(G.textContent=ye),ie=o(e),S=s(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-m91r06"&&(S.textContent=xe),ne=o(e),H=s(e,"UL",{"data-svelte-h":!0}),r(H)!=="svelte-loq3ok"&&(H.innerHTML=Ce),le=o(e),U(A.$$.fragment,e),oe=o(e),P=s(e,"UL",{"data-svelte-h":!0}),r(P)!=="svelte-1lie4ja"&&(P.innerHTML=be),ae=o(e),M=s(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-ka1olc"&&(M.textContent=Ge),se=o(e),U(I.$$.fragment,e),re=o(e),F=s(e,"P",{}),Se(F).forEach(i),this.h()},h(){He(u,"name","hf:doc:metadata"),He(u,"content",Ee)},m(e,t){_e(document.head,u),n(e,D,t),n(e,O,t),n(e,W,t),_(m,e,t),n(e,B,t),n(e,p,t),n(e,q,t),n(e,f,t),n(e,j,t),n(e,d,t),n(e,K,t),_(c,e,t),n(e,N,t),n(e,g,t),n(e,R,t),_(h,e,t),n(e,V,t),n(e,v,t),n(e,Q,t),n(e,w,t),n(e,Y,t),n(e,$,t),n(e,J,t),_(y,e,t),n(e,Z,t),n(e,x,t),n(e,X,t),n(e,C,t),n(e,ee,t),_(b,e,t),n(e,te,t),n(e,G,t),n(e,ie,t),n(e,S,t),n(e,ne,t),n(e,H,t),n(e,le,t),_(A,e,t),n(e,oe,t),n(e,P,t),n(e,ae,t),n(e,M,t),n(e,se,t),_(I,e,t),n(e,re,t),n(e,F,t),ue=!0},p:Pe,i(e){ue||(L(m.$$.fragment,e),L(c.$$.fragment,e),L(h.$$.fragment,e),L(y.$$.fragment,e),L(b.$$.fragment,e),L(A.$$.fragment,e),L(I.$$.fragment,e),ue=!0)},o(e){z(m.$$.fragment,e),z(c.$$.fragment,e),z(h.$$.fragment,e),z(y.$$.fragment,e),z(b.$$.fragment,e),z(A.$$.fragment,e),z(I.$$.fragment,e),ue=!1},d(e){e&&(i(D),i(O),i(W),i(B),i(p),i(q),i(f),i(j),i(d),i(K),i(N),i(g),i(R),i(V),i(v),i(Q),i(w),i(Y),i($),i(J),i(Z),i(x),i(X),i(C),i(ee),i(te),i(G),i(ie),i(S),i(ne),i(H),i(le),i(oe),i(P),i(ae),i(M),i(se),i(re),i(F)),i(u),E(m,e),E(c,e),E(h,e),E(y,e),E(b,e),E(A,e),E(I,e)}}}const Ee='{"title":"Hugging Face Generative AI Services (HUGS)","local":"hugging-face-generative-ai-services-hugs","sections":[{"title":"Key Features","local":"key-features","sections":[],"depth":2},{"title":"Why HUGS?","local":"why-hugs","sections":[{"title":"Built for Open Models","local":"built-for-open-models","sections":[],"depth":3}],"depth":2},{"title":"Getting Started","local":"getting-started","sections":[],"depth":2},{"title":"More Resources","local":"more-resources","sections":[],"depth":2}],"depth":1}';function ke(me){return Me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class We extends Ie{constructor(u){super(),Te(this,u,ke,ze,Ae,{})}}export{We as component};
